ZenLib::int128 Class Reference

`#include <int128s.h>`

## Public Member Functions

| int128 () throw ()
| int128 (const int128 &a) throw ()
| int128 (const unsigned int &a) throw ()
| int128 (const signed int &a) throw ()
| int128 (const int64u &a) throw ()
| int128 (const int64s &a) throw ()
| int128 (const float a) throw ()
| int128 (const double &a) throw ()
| int128 (const long double &a) throw ()
| int128 (const char *sz) throw ()
bool | operator! () const throw ()
int128 | operator- () const throw ()
int128 | operator~ () const throw ()
int128 & | operator++ ()
int128 & | operator-- ()
int128 | operator++ (int)
int128 | operator-- (int)
int128 & | operator+= (const int128 &b) throw ()
int128 & | operator*= (const int128 &b) throw ()
int128 & | operator>>= (unsigned int n) throw ()
int128 & | operator<<= (unsigned int n) throw ()
int128 & | operator|= (const int128 &b) throw ()
int128 & | operator&= (const int128 &b) throw ()
int128 & | operator^= (const int128 &b) throw ()
const int128 & | operator+ () const throw ()
int128 & | operator-= (const int128 &b) throw ()
int128 & | operator/= (const int128 &b) throw ()
int128 & | operator%= (const int128 &b) throw ()
int | toInt () const throw ()
int64s | toInt64 () const throw ()
const char * | toString (unsigned int radix=10) const throw ()
float | toFloat () const throw ()
double | toDouble () const throw ()
long double | toLongDouble () const throw ()
int128 | div (const int128 &, int128 &) const throw ()
bool | bit (unsigned int n) const throw ()
void | bit (unsigned int n, bool val) throw ()

## Friends

bool | operator< (const int128 &a, const int128 &b) throw ()
bool | operator== (const int128 &a, const int128 &b) throw ()
bool | operator|| (const int128 &a, const int128 &b) throw ()
bool | operator&& (const int128 &a, const int128 &b) throw ()

## Constructor & Destructor Documentation

## int128() [1/10]

ZenLib::int128::int128 | ( |  | ) |
throw | ( | ) |  |  |

inline

Referenced by div(), int128(), ZenLib::operator%(), operator%=(), ZenLib::operator&(), operator&&, operator&=(), ZenLib::operator*(), operator*=(), operator+(), ZenLib::operator+(), operator++(), operator++(), operator+=(), operator-(), ZenLib::operator-(), operator--(), operator--(), operator-=(), ZenLib::operator/(), operator/=(), operator<, ZenLib::operator<<(), operator<<=(), operator==, ZenLib::operator>>(), operator>>=(), ZenLib::operator^(), operator^=(), ZenLib::operator|(), operator|=(), operator||, and operator~().

## int128() [2/10]

ZenLib::int128::int128 | ( | const int128 & | a | ) |
throw | ( | ) |  |  |

inline

References int128().

## int128() [3/10]

ZenLib::int128::int128 | ( | const unsigned int & | a | ) |
throw | ( | ) |  |  |

inline

## int128() [4/10]

ZenLib::int128::int128 | ( | const signed int & | a | ) |
throw | ( | ) |  |  |

inline

## int128() [5/10]

ZenLib::int128::int128 | ( | const int64u & | a | ) |
throw | ( | ) |  |  |

inline

## int128() [6/10]

ZenLib::int128::int128 | ( | const int64s & | a | ) |
throw | ( | ) |  |  |

inline

## int128() [7/10]

ZenLib::int128::int128 | ( | const float | a | ) |
throw | ( | ) |  |  |

## int128() [8/10]

ZenLib::int128::int128 | ( | const double & | a | ) |
throw | ( | ) |  |  |

## int128() [9/10]

ZenLib::int128::int128 | ( | const long double & | a | ) |
throw | ( | ) |  |  |

## int128() [10/10]

ZenLib::int128::int128 | ( | const char * | sz | ) |
throw | ( | ) |  |  |

## Member Function Documentation

## bit() [1/2]

bool ZenLib::int128::bit | ( | unsigned int | n | ) | const
throw | ( | ) |  |  |

References bit().

Referenced by bit(), and bit().

## bit() [2/2]

void ZenLib::int128::bit | ( | unsigned int | n,
|  | bool | val )
throw | ( | ) |  |  |

References bit().

## div()

int128 ZenLib::int128::div | ( | const int128 & | ,
|  | int128 & | ) const
throw | ( | ) |  |  |

References div(), and int128().

Referenced by div(), operator%=(), and operator/=().

## operator!()

bool ZenLib::int128::operator! | ( |  | ) | const
throw | ( | ) |  |  |

## operator%=()

int128 & ZenLib::int128::operator%= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

inline

References div(), and int128().

## operator&=()

int128 & ZenLib::int128::operator&= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

References int128().

## operator*=()

int128 & ZenLib::int128::operator*= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

References int128().

## operator+()

const int128 & ZenLib::int128::operator+ | ( |  | ) | const
throw | ( | ) |  |  |

inline

References int128().

## operator++() [1/2]

int128 & ZenLib::int128::operator++ | ( |  | ) |

References int128().

## operator++() [2/2]

int128 ZenLib::int128::operator++ | ( | int |  | ) |

References int128().

## operator+=()

int128 & ZenLib::int128::operator+= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

References int128().

## operator-()

int128 ZenLib::int128::operator- | ( |  | ) | const
throw | ( | ) |  |  |

References int128().

## operator--() [1/2]

int128 & ZenLib::int128::operator-- | ( |  | ) |

References int128().

## operator--() [2/2]

int128 ZenLib::int128::operator-- | ( | int |  | ) |

References int128().

## operator-=()

int128 & ZenLib::int128::operator-= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

inline

References int128().

## operator/=()

int128 & ZenLib::int128::operator/= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

inline

References div(), and int128().

## operator<<=()

int128 & ZenLib::int128::operator<<= | ( | unsigned int | n | ) |
throw | ( | ) |  |  |

References int128().

## operator>>=()

int128 & ZenLib::int128::operator>>= | ( | unsigned int | n | ) |
throw | ( | ) |  |  |

References int128().

## operator^=()

int128 & ZenLib::int128::operator^= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

References int128().

## operator|=()

int128 & ZenLib::int128::operator|= | ( | const int128 & | b | ) |
throw | ( | ) |  |  |

References int128().

## operator~()

int128 ZenLib::int128::operator~ | ( |  | ) | const
throw | ( | ) |  |  |

References int128().

## toDouble()

double ZenLib::int128::toDouble | ( |  | ) | const
throw | ( | ) |  |  |

References toDouble().

Referenced by toDouble().

## toFloat()

float ZenLib::int128::toFloat | ( |  | ) | const
throw | ( | ) |  |  |

References toFloat().

Referenced by toFloat().

## toInt()

int ZenLib::int128::toInt | ( |  | ) | const
throw | ( | ) |  |  |

inline

## toInt64()

int64s ZenLib::int128::toInt64 | ( |  | ) | const
throw | ( | ) |  |  |

inline

## toLongDouble()

long double ZenLib::int128::toLongDouble | ( |  | ) | const
throw | ( | ) |  |  |

References toLongDouble().

Referenced by toLongDouble().

## toString()

const char * ZenLib::int128::toString | ( | unsigned int | radix = 10 | ) | const
throw | ( | ) |  |  |

## Friends And Related Symbol Documentation

## operator&&

bool operator&& | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

friend

References int128().

## operator<

bool operator< | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

friend

References int128().

## operator==

bool operator== | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

friend

References int128().

## operator||

bool operator|| | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

friend

References int128().

The documentation for this class was generated from the following file:

- int128s.h